// vim:ts=4:sts=4:sw=4:noet:tw=72

package main

import (
	"flag"
	"fmt"
	"runtime"

	"git.dnix.de/an/ircd/irc"
)

var configFile = flag.String("conf", "server.conf", "Config file")

func init() {
	flag.Parse()
}

func main() {
	sv := irc.NewServer(*configFile, "verbiage", ircdInfo())
	sv.SetAuthCallback(authenticate)
	sv.Run()
}

func authenticate(name, password string) (string, bool) {
	return "irc/user", true
}

func ircdInfo() string {
	return fmt.Sprintf("%s-%s (built %s [%s])", Version, Build, Builddate, runtime.Version())
}
